KMimeMagicResult Class Reference

`#include <kmimemagic.h>`

## Public Member Functions

QString | mimeType () const
int | accuracy () const
bool | isValid () const
void | setMimeType (const QString &_mime)
void | setAccuracy (int _accuracy)
void | setInvalid ()

## Protected Attributes

QString | m_strMimeType
int | m_iAccuracy

## Detailed Description

Deprecated:
  Use KMimeType::findByContent() instead May be removed in KDE 4.0. Returned by KMimeMagic `find`...Type methods.

It contains the mimetype and the encoding of the file or buffer read.

Definition at line 46 of file kmimemagic.h.

## Member Function Documentation

int KMimeMagicResult::accuracy | ( |  | ) | const

inline

Retrieve the accuracy of the matching.

Definition at line 59 of file kmimemagic.h.

bool KMimeMagicResult::isValid | ( |  | ) | const

inline

Returns whether the result is valid (i.e.

mimetype not empty).

Definition at line 63 of file kmimemagic.h.

QString KMimeMagicResult::mimeType | ( |  | ) | const

inline

Retrieve the mimetype (e.g.

"text/html") of the file or buffer parsed.

Definition at line 55 of file kmimemagic.h.

The documentation for this class was generated from the following file:

- kmimemagic.h

KDE Home | KDE Accessibility Home | Description of Access Keys